@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    color: #fff;
    background: #111;
    font-family: 'Poppins', sans-serif;
}

.container {
    width: 100%;
    min-height: 100vh;
    backdrop-filter: blur(1px);
    pointer-events: none;
}

.container nav {
    width: 100%;
    display: flex;
    justify-content: space-between;
    box-sizing: border-box;
    padding: 0 40px;
    height: 100px;
    align-items: center;
}

.container nav h1 {
    font-size: 2.6em;
    color: #fff;
    position: relative;
    cursor: pointer;
    pointer-events: none;
    letter-spacing: 4px;
}

.container nav h1 span {
    color: #6c5ce7;
}

.container nav ul {
    display: flex;
}

.container nav ul li {
    position: relative;
    list-style: none;
    font-size: 1.5em;
    font-weight: 400;
    padding: 12px 18px;
    cursor: pointer;
    pointer-events: all;
    overflow: hidden;
}

.container nav ul li::after {
    content: '';
    position: absolute;
    bottom: 5px;
    width: 0%;
    height: 3px;
    left: 50%;
    background: #6c5ce7;
    transform: translateX(-50%);
    transition: .3s;
}

.container nav li:hover {
    color: #6c5ce7;
}

.container nav li:hover::after {
    width: 80%;
}

.container section {
    display: flex;
    justify-content: center;
    align-items: center;
    height: calc(100vh - 100px);
    text-align: center;
}

.textBox h1 {
    font-size: 3.4em;
}

.textBox h1 span {
    color: #6c5ce7;
}

.textBox p {
    font-size: 3.2em;
}

.textBox .homeBtn {
    font-family: 'Poppins';
    padding: 8px 18px;
    margin: 16px 12px;
    font-size: 26px;
    background-color: transparent;
    color: var(--i);
    outline: none;
    border: 3px solid var(--i);
    border-radius: 4px;
    cursor: pointer;
    pointer-events: all;
    transition: .3s;
    font-weight: 600;
    pointer-events: all;
    /* Cambiar a 'all' para permitir interacción */

}

.textBox .homeBtn:hover {
    background-color: var(--i);
    color: #000;
}

.bgAnimation {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    display: grid;
    grid-template-columns: repeat(20, 1fr);
    grid-template-rows: repeat(20, 1fr);
    background: #ffffff;
    filter: saturate(2);
    overflow: hidden;
    pointer-events: auto;
    /* No capturar eventos de ratón en la animación de fondo */


}

.textBox .container-button {
    pointer-events: all;
    /* Permitir eventos de ratón solo en este contenedor */
}

.colorBox {
    z-index: 2;
    filter: brightness(1.1);
    transition: 2s ease;
    position: relative;
    margin: 2px;
    background: #ffffff;
}

.colorBox:hover {
    background: #6c5ce7;
    transition-duration: 0s;
}

.backgroundAmim {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 40px;
    background: #6c5ce7;
    filter: blur(60px);
    animation: animBack 6s linear infinite;

}

@keyframes animBack {
    0% {
        top: -60px;
    }

    100% {
        top: 120%;
    }
}